#include "locmin.h"
#include <bits/stdc++.h>
long long v[501][501];

std::pair<int, int> find_locmin_point(int N, int M){
    for(int i=1;i<=N;i++)
        for(int j=1;j<=M;j++)
            v[i][j]=value(i,j);
    for(int i=1;i<=N;i++)
        for(int j=1;j<=M;j++)
    if(v[i][j]<min({v[i+1][j],v[i-1][j],v[i][j-1],v[i][j+1]}))
        return {i,j};
}